<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>PyTIOVX User Guide: tiovx.distribution.Distribution Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
  <div class="navpath"><b>tiovx</b>.<b>distribution</b>.<a class="el" href="classtiovx_1_1distribution_1_1Distribution.html">Distribution</a>
  </div>
</div>
<div class="contents">
<h1>tiovx.distribution.Distribution Class Reference<br/>
<small>
[<a class="el" href="group__DATA.html">2: Data Object APIs</a>]</small>
</h1><!-- doxytag: class="tiovx::distribution::Distribution" --><!-- doxytag: inherits="Reference" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p><a class="el" href="classtiovx_1_1distribution_1_1Distribution.html" title="Distribution object (OpenVX equivalent = vx_distribution).">Distribution</a> object (OpenVX equivalent = vx_distribution). </p>
<dl class="user"><dt><b>Example Usage: Create a distribution object of 16 bins, 0 offset, 256 range</b></dt><dd></dd></dl>
<div class="fragment"><pre class="fragment"> <span class="keyword">from</span> tiovx <span class="keyword">import</span> *

 my_dist1 = Distribution(16, 0, 256, name=<span class="stringliteral">&quot;mydist&quot;</span>)
 my_dist2 = Distribution(16, 0, 256)
</pre></div> 
<p><a href="classtiovx_1_1distribution_1_1Distribution-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1distribution_1_1Distribution.html#a695025e02585ae61f71fefddd21d890c">__init__</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Constructor used to create this object.  <a href="#a695025e02585ae61f71fefddd21d890c"></a><br/></td></tr>
</table>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a695025e02585ae61f71fefddd21d890c"></a><!-- doxytag: member="tiovx::distribution::Distribution::__init__" ref="a695025e02585ae61f71fefddd21d890c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def tiovx.distribution.Distribution.__init__ </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>num_bins</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>offset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>range</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>name</em> = <code>&quot;default&quot;</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constructor used to create this object. </p>
<p>See vxCreateDistribution for more details about the parameters</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>num_bins</em>&nbsp;</td><td>[in] Number of bins </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>offset</em>&nbsp;</td><td>[in] Offset </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>range</em>&nbsp;</td><td>[in] Range </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>name</em>&nbsp;</td><td>[in] [optional] Name of the object </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
